Index: branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComDataCU.cpp	(revision 629)
+++ branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComDataCU.cpp	(revision 630)
@@ -3569,5 +3569,5 @@
     UInt uiPartIdxCenter;
     xDeriveCenterIdx( uiPUIdx, uiPartIdxCenter );    
-#if H_3D_FCO
+#if H_3D_FCO_E0163
     TComPic * pcTexturePic = m_pcSlice->getTexturePic();
     TComDataCU *pcTextureCU = 0;
@@ -3578,5 +3578,5 @@
 #endif
  
-#if H_3D_FCO
+#if H_3D_FCO_E0163
     if ( pcTextureCU && pcTexturePic->getReconMark() && !pcTextureCU->isIntra( uiPartIdxCenter ) )
 #else
@@ -5574,5 +5574,5 @@
 #if H_3D_NBDV_REF
           TComPic* picDepth = NULL;   
-#if H_3D_FCO_VSP_DONBDV
+#if H_3D_FCO_VSP_DONBDV_E0163
           picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
           if ( picDepth->getPicYuvRec() != NULL  )  
@@ -5687,5 +5687,5 @@
           pDInfo->m_aVIdxCan = cIDVInfo.m_aVIdxCan[iList][ curPos ];
 #if H_3D_NBDV_REF
-#if H_3D_FCO_VSP_DONBDV
+#if H_3D_FCO_VSP_DONBDV_E0163
           TComPic* picDepth  = NULL;
 
@@ -5748,5 +5748,5 @@
 #if H_3D_NBDV_REF
     TComPic* picDepth = NULL;
-#if H_3D_FCO_VSP_DONBDV
+#if H_3D_FCO_VSP_DONBDV_E0163
     picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
     if ( picDepth->getPicYuvRec() != NULL )  
@@ -5866,5 +5866,5 @@
           TComPic* picDepth = NULL;
           assert(getSlice()->getRefPic(eRefPicList, refId)->getPOC() == getSlice()->getPOC());          
-#if H_3D_FCO_VSP_DONBDV
+#if H_3D_FCO_VSP_DONBDV_E0163
           picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
           if ( picDepth->getPicYuvRec() != NULL )  
Index: branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComPic.cpp	(revision 629)
+++ branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComPic.cpp	(revision 630)
@@ -119,5 +119,5 @@
 
   /* initialize the texture to depth reference status */
-#if H_3D_FCO
+#if H_3D_FCO_E0163
   for (int j=0; j<2; j++)
   {
@@ -733,5 +733,5 @@
   TComSlice* pcCurrSlice = getSlice(getCurrSliceIdx());
   TComPic* pcTextPic = pcCurrSlice->getTexturePic();
-#if H_3D_FCO
+#if H_3D_FCO_E0163
   if ( pcTextPic )
   {
@@ -759,5 +759,5 @@
 
   }
-#if H_3D_FCO
+#if H_3D_FCO_E0163
   }
 #endif
Index: branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComPrediction.cpp	(revision 629)
+++ branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TComPrediction.cpp	(revision 630)
@@ -731,5 +731,5 @@
   // Get depth reference
   Int       depthRefViewIdx = pcCU->getDvInfo(uiPartAddr).m_aVIdxCan;
-#if H_3D_FCO_VSP_DONBDV
+#if H_3D_FCO_VSP_DONBDV_E0163
   TComPic* pRefPicBaseDepth = 0;
   Bool     bIsCurrDepthCoded = false;
@@ -766,5 +766,5 @@
   pcCU->clipMv(cDv);
 
-#if H_3D_FCO_VSP_DONBDV
+#if H_3D_FCO_VSP_DONBDV_E0163
   if ( bIsCurrDepthCoded )
   {
Index: branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TypeDef.h	(revision 629)
+++ branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibCommon/TypeDef.h	(revision 630)
@@ -139,5 +139,5 @@
                                               // FIX_SDC_ENC_RD_WVSO_D0163
                                               // MTK_SAMPLE_BASED_SDC_D0110
-#define H_3D_FCO                          1   // Flexible coding order for 3D
+#define H_3D_FCO_E0163                          1   // Flexible coding order for 3D
 
 
@@ -188,8 +188,8 @@
 #endif
 
-#if H_3D_FCO
-#define H_3D_FCO_VSP_DONBDV               0   // Adaptive depth reference for flexible coding order
-#else
-#define H_3D_FCO_VSP_DONBDV               0   // Adaptive depth reference for flexible coding order
+#if H_3D_FCO_E0163
+#define H_3D_FCO_VSP_DONBDV_E0163               0   // Adaptive depth reference for flexible coding order
+#else
+#define H_3D_FCO_VSP_DONBDV_E0163               0   // Adaptive depth reference for flexible coding order
 #endif
 
Index: branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibDecoder/TDecTop.cpp	(revision 629)
+++ branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibDecoder/TDecTop.cpp	(revision 630)
@@ -979,5 +979,5 @@
     pcSlice->setIvPicLists( m_ivPicLists );         
 #if H_3D_IV_MERGE
-#if H_3D_FCO
+#if H_3D_FCO_E0163
     //assert( !getIsDepth() );
 #else
Index: branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 629)
+++ branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 630)
@@ -913,5 +913,5 @@
 
     // SAIT_VSO_EST_A0033
-#if H_3D_FCO
+#if H_3D_FCO_E0163
     Bool flagRec;
     flagRec =  ((m_pcEncTop->getIvPicLists()->getPicYuv( pcSlice->getViewIndex(), false, pcSlice->getPOC(), true) == NULL) ? false: true);
Index: branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 629)
+++ branches/HTM-8.2-dev0-MediaTek/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 630)
@@ -2866,5 +2866,5 @@
         for( UInt dmmType = 0; dmmType < DMM_NUM_TYPE; dmmType++ )
         {
-#if H_3D_FCO
+#if H_3D_FCO_E0163
             TComPic* picTexture  = pcCU->getSlice()->getIvPic(false, pcCU->getSlice()->getViewIndex() );
             if ( !picTexture->getReconMark() && (DMM3_IDX == dmmType || DMM4_IDX == dmmType ) )
